/* 
 * Style dla listingu produktów WooCommerce
 * Zgodne z WCAG 2.1
 */

.woocommerce-shop .hero-block {
    height: 680px !important;
}

/* Domyślnie produkty w gridzie */
.woocommerce ul.products {
    display: flex !important;
    flex-wrap: wrap !important;
    margin: 0 !important;
    list-style: none !important;
    padding: 0 !important;
    gap: 24px !important;
}

.woocommerce ul.products:before {display: none !important;}

.woocommerce ul.products li.product {
    padding: 0 8px;
    margin-bottom: 0 !important;
    margin: 0 !important;
    list-style: none;
    width: calc(100% / 3 - 16px) !important;
    box-sizing: border-box !important;
    display: flex !important;
    flex-direction: column !important;
}

.woocommerce ul.products li.product a.woocommerce-loop-product__link {
    flex: 1;
}

/* Na urządzeniach mobilnych - jeden produkt w wierszu */
@media (max-width: 767.98px) {
    .woocommerce ul.products {
        margin: 0;
        flex-direction: column;
    }
    
    .woocommerce ul.products li.product {
        width: 100% !important;
        max-width: 100% !important;
        flex: 0 0 100% !important;
        padding: 0;
        margin-bottom: 20px;
    }
}

/* Dla bardzo małych ekranów */
@media (max-width: 575.98px) {
    .woocommerce ul.products li.product {
        margin-bottom: 15px;
    }
}

/* Style dla przycisków w listingu produktów */
.woocommerce ul.products li.product .button,
.woocommerce ul.products li.product a.button {
    box-sizing: border-box !important;
    width: calc(100% - 32px) !important;
    max-width: calc(100% - 32px) !important;
    margin: 0 16px 24px 16px !important;
    padding: 12px 16px !important;
    position: relative;
    border-radius: 4px !important;
    background: var(--gradient-secondary) !important;
    color: var(--white) !important;
    font-size: 16px !important;
    font-weight: 600 !important;
    line-height: 1 !important;
    border: none !important;
    cursor: pointer !important;
    overflow: hidden;
    z-index: 1;
    text-align: center !important;
    text-decoration: none !important;
    display: inline-flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.woocommerce ul.products li.product .button::before,
.woocommerce ul.products li.product a.button::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--gradient-secondary-hover) !important;
    opacity: 0;
    transition: opacity 0.3s ease-in-out !important;
    z-index: -1;
    border-radius: 4px !important;
}

.woocommerce ul.products li.product .button:hover::before,
.woocommerce ul.products li.product a.button:hover::before {
    opacity: 1;
}

.woocommerce ul.products li.product .button:hover,
.woocommerce ul.products li.product a.button:hover {
    color: var(--yellow) !important;
}

/* Na urządzeniach mobilnych */
@media (max-width: 767.98px) {
    .woocommerce ul.products li.product .button,
    .woocommerce ul.products li.product a.button {
        width: calc(100% - 48px) !important;
        max-width: calc(100% - 48px) !important;
        margin: 0 24px 20px 24px !important;
    }
}

/* Dla bardzo małych ekranów - przyciski */
@media (max-width: 575.98px) {
    .woocommerce ul.products li.product .button,
    .woocommerce ul.products li.product a.button {
        width: calc(100% - 48px) !important;
        max-width: calc(100% - 48px) !important;
        margin: 0 24px 15px 24px !important;
    }
}

.woocommerce ul.products li.product {
    /* background-color: var(--gray-lighter) !important; */
    border-radius: 0 0 4px 4px !important;
    display: flex;
    flex-direction: column;
    gap: 24px;
    border-radius: 8px !important;
    border: 1px solid var(--white) !important;
    transition: border-color 0.3s ease-in-out !important;
}

.woocommerce ul.products li.product:hover {
    border-color: var(--yellow) !important;
    transition: border-color 0.3s ease-in-out !important;
}

.woocommerce ul.products li.product a img {
    border-radius: 8px !important;
    aspect-ratio: 4/3 !important;
    object-fit: cover !important;
    object-position: center !important;
    margin: 9px 0 0 0  !important;
}

.woocommerce ul.products li.product .woocommerce-loop-product__title {
    margin: 0 !important;
    padding: 24px 16px !important;
    font-size: 28px !important;
    font-weight: 600 !important;
    line-height: 1.2 !important;
    color: var(--claret) !important;
}

.woocommerce ul.products li.product p {
    margin: 0 !important;
    padding: 0 16px !important;
    font-size: 16px !important;
    font-weight: 400 !important;
    line-height: 1.2 !important;
    color: var(--gradient-secondary-fallback) !important;
    margin-bottom: 24px !important;
}

.woocommerce ul.products li.product .modified-price {
    padding: 0 16px !important;
    font-size: 20px !important;
    line-height: 1.2 !important;
    color: var(--claret) !important;
    font-weight: 600 !important;
    display: flex;
    gap: 16px;
}

.woocommerce ul.products li.product .modified-price.sale-price .regular-price {
    color: var(--claret) !important;
    text-decoration: line-through !important;
}

.woocommerce ul.products li.product .modified-price.sale-price .field-label {
    font-weight: 400 !important;
}

.woocommerce ul.products li.product .onsale {
    width: 64px !important;
    height: 64px !important;
    top: -18px !important;
    right: 32px !important;
    background-color: transparent !important;
}

.woocommerce ul.products li.product .onsale svg {
    width: 64px !important;
    height: 64px !important;
}

@media (max-width: 1399.98px) {
    .woocommerce ul.products li.product {
        width: calc(100% / 3 - 16px) !important;
    }

    .woocommerce ul.products li.product .woocommerce-loop-product__title {
        font-size: 24px !important;
    }

    .woocommerce ul.products li.product p {
        font-size: 16px !important;
    }

    .woocommerce ul.products li.product .modified-price {
        font-size: 18px !important;
    }

    .woocommerce ul.products li.product .onsale {
        width: 50px !important;
        height: 50px !important;
        top: -11px !important;
        background-color: transparent !important;
    }

    .woocommerce ul.products li.product .onsale svg {
        width: 50px !important;
        height: 50px !important;
    }
}

@media (max-width: 1199.98px) {
    .woocommerce ul.products li.product {
        width: calc(100% / 3 - 16px) !important;
    }

    .woocommerce ul.products li.product .woocommerce-loop-product__title {
        font-size: 20px !important;
    }
}

@media (max-width: 991.98px) {
    .woocommerce ul.products li.product {
        width: calc(100% / 2 - 12px) !important;
    }

    .woocommerce ul.products li.product .woocommerce-loop-product__title {
        font-size: 18px !important;
    }


    .woocommerce ul.products li.product .modified-price {
        font-size: 16px !important;
    }
}

@media (max-width: 767.98px) {
    .woocommerce ul.products li.product {
        width: 100% !important;
    }

    .woocommerce ul.products li.product .modified-price {
        font-size: 16px !important;
    }
}

@media (max-width: 575.98px) {
    .woocommerce ul.products li.product {
        width: 100% !important;
    }
}